Subject: [PATCH v2 1/7] clk: Add a generic clock infrastructure

From: [email-masked] (Mark Brown)
Date: Mon, 17 Oct 2011 10:20:28 +0100

On Mon, Oct 17, 2011 at 04:48:52PM +0800, Richard Zhao wrote:

> For example, devices that possible access to on-chip RAM, depend on OCRAM clock. 
> On imx53, VPU depends on OCRAM clock, even when VPU does not use OCRAM.

So if the VPU depends on OCRAM the VPU should be enabling the OCRAM
clock.  The function of a given clock isn't terribly relevant, and
certainly grouping clocks together doesn't seem to be the obvious
solution from what you've said - if the driver doesn't know about the
clock it seems like the core ought to be enabling it transparently
rather than gluing it together with some other random clock.

Either way the point here is that individual drivers shouldn't be hand
coding this stuff, it should be being handled by core code.